package com.mcwl.resource.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(description = "模型请求对象")
public class ModelVo {
    /**
     * 模型id
     */
    @ApiModelProperty(value = "模型id", required = true)
    private Long id;
    /**
     * 模型名称
     */
    @ApiModelProperty(value = "模型名称", required = true)
    private String modelName;
    /**
     * 封面图
     */
    @ApiModelProperty(value = "封面图")
    private String surfaceUrl;
    /**
     * 用户ID
     */
    @ApiModelProperty(value = "用户ID")
    private Long userId;
    /**
     * 用户名称
     */
    @ApiModelProperty(value = "用户名称")
    private String userName;
    /**
     * 用户头像
     */
    @ApiModelProperty(value = "用户头像")
    private String userAvatar;
    /**
     * 在线生成数
     */
    @ApiModelProperty(value = "在线生成数")
    private Integer reals;
    /**
     * 下载数
     */
    @ApiModelProperty(value = "下载数")
    private Integer numbers;

    /**
     * 是否置顶
     */
    @ApiModelProperty(value = "是否置顶")
    private Integer isTop;

    /**
     * 审核状态
     */
    @ApiModelProperty(value = "审核状态")
    private Integer auditStatus;
}
