package com.mcwl.resource.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mcwl.resource.domain.WorkFlowComment;
import com.mcwl.resource.domain.vo.WorkFlowCommentVo;

import java.util.List;

/**
 * 工作流评论 业务层
 * @Author：ChenYan
 * @Project：McWl
 * @Package：com.mcwl.resource.service
 * @Filename：ModelCommentService
 * @Description TODO
 * @Date：2025/1/12 11:58
 */
public interface WorkFlowCommentService extends IService<WorkFlowComment> {
    void comment(WorkFlowComment modelComment);

    /**
     * 获取评论
     * @param imageId 图片id
     * @return 评论区
     */
    List<WorkFlowCommentVo> getComment(Long imageId);

}
