package com.mcwl.resource.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(description = "模型返回对象")
public class ModelLikeVo {
    /**
     * id
     */
    @ApiModelProperty(value = "id", required = true)
    private Long id;
    /**
     * 用户ID
     */
    @ApiModelProperty(value = "用户id", required = true)
    private Long userId;
    /**
     * 用户名称
     */
    @ApiModelProperty(value = "用户名称", required = true)
    private String userName;
    /**
     * 用户头像
     */
    @ApiModelProperty(value = "用户头像", required = true)
    private String userAvatar;
    /**
     * 模型id
     */
    @ApiModelProperty(value = "模型id", required = true)
    private Long modelId;
    /**
     * 封面图
     */
    @ApiModelProperty(value = "封面图")
    private String surfaceUrl;
    /**
     * 点赞数
     */
    @ApiModelProperty(value = "点赞数")
    private Integer likeNum;


}
